Download OpenAPI specification:Download
API to access token information on Linea, including prices, traded tokens and top movers over 24h.
Retrieve a list of tokens based on the provided query parameters
| page | number [ 1 .. 1000 ] Default: 1 Page number |
| limit | number [ 1 .. 100 ] Default: 50 Number of items per page |
| isSecure | boolean Filter tokens secure tokens |
| addresses | string <= 100 items List of tokens addresses (comma-separated) |
| order | string (OrderColumns) Enum: "name" "symbol" "decimals" "contractAddress" "currentPrice" "priceUpdatedAt" "createdAt" "updatedAt" "last24hVariation" "last24hVariationAbsolute" "sells" "buys" "swaps" "isPossibleSpam" "totalSupply" "fdv" Order by column |
| sort | string Enum: "asc" "desc" Order sort (asc, desc) |
{- "data": [
- {
- "name": "Token name",
- "symbol": "Token symbol",
- "decimals": 18,
- "contractAddress": "0x1111111111111111111111111111111111111111",
- "currentPrice": 1000,
- "priceUpdatedAt": "2026-06-18T07:50:44.215Z",
- "last24hVariation": 0,
- "info": {
- "sells": 1000,
- "buys": 2000,
- "swaps": 3000,
- "fdv": 100000,
- "totalSupply": "1000000"
}
}
], - "meta": {
- "page": 0,
- "limit": 0,
- "totalItemsCount": 0,
- "pagesCount": 0
}
}Retrieve detailed information about a specific token using its contract address
| contractAddress required | string Example: 0x1234567890123456789012345678901234567890 The Ethereum contract address of the token |
{- "name": "Token name",
- "symbol": "Token symbol",
- "decimals": 18,
- "contractAddress": "0x1111111111111111111111111111111111111111",
- "currentPrice": 1000,
- "priceUpdatedAt": "2026-06-18T07:50:44.215Z",
- "last24hVariation": 0,
- "info": {
- "sells": 1000,
- "buys": 2000,
- "swaps": 3000,
- "fdv": 100000,
- "totalSupply": "1000000"
}
}Returns the LINEA total supply (post-burn). Defaults to a plain-text number; pass ?format=json for a structured object.
| contractAddress required | string Example: 0x1789e0043623282D5DCc7F213d703C6D8BAfBB04 The LINEA token contract address |
| format | string Enum: "raw" "json" Response format. "raw" returns a single number as plain text; "json" returns a structured object. |
Returns the LINEA circulating supply. Defaults to a plain-text number; pass ?format=json for a structured object including the excluded-wallet breakdown.
| contractAddress required | string Example: 0x1789e0043623282D5DCc7F213d703C6D8BAfBB04 The LINEA token contract address |
| format | string Enum: "raw" "json" Response format. "raw" returns a single number as plain text; "json" returns a structured object. |